# ConfigurationFileAdminLog

## *ConfigurationFileAdminLog* Table

The *ConfigurationFileAdminLog* table records a historical log of actions performed on configuration files, including details about the action, the environment, and the user responsible. This enables traceability auditing, and troubleshooting for configuration changes.

The following table describes each field in the *ConfigurationFileAdminLog* table:

| Column Name   | Data Type | Required | Description                                                                             |
| ------------- | --------- | -------- | --------------------------------------------------------------------------------------- |
| id            | integer   | Yes      | A unique identifier for the table entry.                                                |
| action        | varchar   | Yes      | The action taken for a configuration file i.e. AddConfigFile, ModifyConfigFile.         |
| actionObject  | varchar   | No       | A JSON-formatted string defining the configuration file with action.                    |
| actionDetails | varchar   | No       | Human-readable string defining the action taken place.                                  |
| databaseUser  | varchar   | No       | The database user who performed the action.                                             |
| osUser        | varchar   | No       | The operating system user who defined the action.                                       |
| osHostname    | varchar   | No       | The host name of the operating system where the action was performed.                   |
| osIpAddress   | varchar   | No       | The IP address of the operating system where the action was performed.                  |
| fingerprint   | varchar   | No       | A unique identifier describing the user and environment where the action was performed. |
| createdDate   | datetime  | Yes      | The date and time when the record was created.                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://learn.capstorm.com/copystorm-director/reference/copystorm-director-database/configurationfileadminlog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
